/*
	Team
	Used in Repair and Department tab
*/
@mixin team{
	.team-text{
		.image{
			padding-right: 0;
			.team-image{
				width: 100%;
				height: 100%;
				object-fit: cover;
			}
		}
		.info{
			background-color: #f9f9f9;
			.details{
				padding: 35px;
				color: #003470;
				font-size: 24px;
				letter-spacing: 1.2px;
				line-height: 37px;

				.header{
					font-family: 'Lato-Bold';
					margin-bottom: 50px;

				}
				.body{
					font-family: 'Lato-Regular';
					margin-bottom: 50px;

				}
				.footer{
					display: flex;
					align-items: center;
					color: #003470;
					text-decoration: none;

					.icon{
						img{
							height: 33px;
							width: 33px;
							object-fit: contain;
							object-position: center;
						}
					}
					.text{
						font-family: 'Lato-Regular';
						font-size: 18px;
						letter-spacing: 0.9px;							
						text-decoration: underline;
						margin-left: 10px;
					}
				}
			}
		}	
	}
	.team-slider{
		$container-width: 1543px;
		margin-top: 20px;
		// max-width: calc((100% - #{$container-width})/2 + #{$container-width} + 15px);
		// margin-left: auto;
		// // margin-right: initial;
		// margin-right: 0;
		padding-right: 0;
		padding-left: 0;
		.team-members{
			height: 490px;
			overflow-y: hidden;
			.slick-list{							
				// padding-right: 250px !important;
				// padding-left: 0 !important;
			}
			.member{
				width: 470px;
				padding: 0 10px;

				&:first-child{
					padding-left: 15px;	
				}
				.image{
					width: 100%;
					height: 310px;
					img{
						width: 100%;
						height: 100%;
						object-fit: cover;
						object-position: top;
					}
				}
				.info{
					width: 100%;
					height: 178px;
					padding: 30px;
					color: #003470;
					font-family: 'Lato-SemiBold';
					background-color: #F5F8FA;
					position: relative;
					&:before {
					    position: absolute;
					    content: '';
					    bottom: 100%;
					    right: 35px;
					    width: 10px;
					    border-bottom: 30px solid #f5f8fa;
					    z-index: 998;
					    border-right: 17.5px solid transparent;
					    border-left: 17.5px solid transparent;
					}
					.name{
						font-size: 28px;
						letter-spacing: 2.8px;
						// line-height: 18px;
						text-transform: uppercase;
						margin-bottom: 7px;
					}
					.position{
						text-transform: capitalize;
						font-size: 13px;
						letter-spacing: .65px;
						// line-height: 17px;
					}
				}
			}
		}
	}
	@each $width in $resposive-width{
	    @media screen and (max-width: #{$width}px){ 
			.team-text{
				.image{
					@if($width == 767){
						padding-left: 0;
					}
					.team-image{
					}
				}
				.info{
					.details{
						@if($width >= 767){
							padding: #{unitary($width,35)}px;
							font-size: #{unitary($width,24)}px;
							// letter-spacing: 1.2px;
							line-height: #{unitary($width,37)}px;
						}
						.header{
							@if($width >= 767){
	    						margin-bottom: #{unitary($width,50)}px;
	    					}
						}
						.body{
							@if($width >= 767){
	    						margin-bottom: #{unitary($width,50)}px;
	    					}
						}
						.footer{
							.icon{
								img{
									@if($width >= 767){
										height: #{unitary($width,33)}px;
										width: #{unitary($width,33)}px;
									}
								}
							}
							.text{
								@if($width >= 767){
									font-size: #{unitary($width,18)}px;
									margin-left: #{unitary($width,10)}px;
								}
							}
						}
					}
				}	
			}
			.team-slider{
				@if($width == 1700){
					$container-width: 1140px;
					// max-width: calc((100% - #{$container-width})/2 + #{$container-width} + 15px);
				}@else if($width == 1440){
					// max-width: 1140px;
				} @else if($width == 1200){
				 //    margin: 20px auto 0;
				 //    padding-right: 15px;
					// max-width: 960px;
				} @else if($width == 991){
					// max-width: 720px;
				} @else if($width == 767){
					// max-width: 90%;
					padding: 0;
					margin: 20px auto;
				} @else if($width == 575){
					max-width: 90%;
				}
				.team-members{
					@if($width == 1700){
						
					} @else if($width == 1600){
						height: #{unitary($width, 310) + 162}px;
					} @else if($width == 1440){
						height: #{unitary($width, 310) + 155}px;
					} @else if($width == 1366){
					    height: #{unitary($width, 310) + 150}px;
					} @else if($width == 1280){
					    height: #{unitary($width, 310) + 145}px;
					} @else if($width == 1200){
					    height: #{unitary($width, 310) + 142}px;
					} @else if($width == 1080){
					    height: #{unitary($width, 310) + 135}px;
					} @else if($width == 991){
						height: #{unitary($width, 310) + 132}px;
					} @else if($width == 767){
						width: 100%;
						height: auto;
					}

					.slick-list{	

						// @if($width == 1200){						
						// 	padding-right: 0px !important;
						// 	padding-left: 0 !important;
						// }
					}
					.member{
						@if($width == 767){
							width: 100%;
							padding: 0px;
							margin-top: 20px;
							box-shadow: 2px 3px 5px 1px #00000061;
						}

						&:first-child{

							@if($width == 767){
								padding-left: 0px;	
							}
						}
						.image{

							@if($width > 767){
								height: #{unitary($width, 310)}px;
							} @else if($width == 767){

								width: 100%;
								height: 250px;
								// height: #{unitary($width,310)}px;
							}
							img{
								
							}
						}
						.info{
							@if($width == 1700){
								
							} @else if($width == 1600){
								height: 162px;
							} @else if($width == 1440){
								height: 155px;
							} @else if($width == 1366){
							    height: 150px;
							} @else if($width == 1280){
							    height: 145px;
							} @else if($width == 1200){
							    height: 142px;
							} @else if($width == 1080){
							    height: 135px;
							} @else if($width == 991){
								height: 132px;
							} @else if($width == 767){
								height: auto;
							}

							@if( $width > 767){
								padding: #{unitary($width,30)}px;
							} @else if ($width == 767) {
								padding: 10px;
							}
							&:before {
								@if($width > 767){											
								    right: #{unitary($width,35)}px;
								    width: #{unitary($width,10)}px;
								    border-bottom-width: #{unitary($width,30)}px;
								    border-right-width: #{unitary($width,17.5)}px;
								    border-left-width: #{unitary($width,17.5)}px;
								}
							}
							.name{
								@if($width > 767){											
									font-size: #{unitary($width,28)}px;
									margin-bottom: #{unitary($width,7)}px;
									// letter-spacing: 2.8px;
									// line-height: #{unitary($width,18)}px;
								} @else if($width == 767){
									font-size: 16px;
									margin-bottom: 0;
									// line-height: 18px;
								}
							}
							.position{
								@if($width > 767){											
									font-size: #{unitary($width,13)}px;
									// letter-spacing: .65px;
									// line-height: #{unitary($width,17)}px;
								} @else if($width == 767){
									font-size: 13px;
									// line-height: 17px;
								}
							}
						}
					}
				}
			}
		}
	}

}
